name: Verify

on:
  push:

jobs:
  verify:
    runs-on: ubuntu-latest

    env:
      RUNNER_TOOL_CACHE: /toolcache

    steps:
      - name: Checkout code
        uses: https://dock-it.dev/actions/checkout@34e114876b0b11c390a56381ad16ebd13914f8d5 # v4

      - name: Set up Go
        uses: https://dock-it.dev/actions/setup-go@4a3601121dd01d1626a1e23e37211e3254c1c06c # v6
        with:
          go-version-file: go.mod
          cache: true

      - name: Verify Build
        run: go build -v ./...

      - name: Run Tests
        run: go test -v ./...
